Can I Convert a VeriStand Custom Device to a Previous Version?

Updated May 3, 2018

Reported In

Software

  • VeriStand

Issue Details

I have a VeriStand project in an older version that I can't upgrade to a newer version and there's a custom device I would like to use with my project, can I use a custom device with a previous version than the one it was created for, or can I compile it for that previous version?

Solution

In order to use a VeriStand custom device with a previous version of the software you would need to compile the source code for the appropriate LabVIEW version, and save the files to the appropriate location for the custom device to be registered, to do this follow these steps:
  1. Open the source code project of the custom device, and revert it back to the appropriate LabVIEW version.
  2. Move the project source files to the appropriate location to add the custom device to Veristand (section 2).

Additional Information

As with any conversion of LabVIEW code to a previous version NI can't guarantee that all of the functionality of an application will be supported or that it will work just as expected when converted from the version it was originally developed for, as such it is important that the functionality is verified by the users when doing this version conversions of software. 

WAS THIS ARTICLE HELPFUL?

Not Helpful